package com.hchyun.test.service;

import java.util.List;

import com.hchyun.common.utils.ServerResult;
import com.hchyun.test.entity.RelA;

/**
 * 测试aService接口
 * 
 * @author hchyun
 * @date 2021-02-26
 */
public interface RelAService
{
    /**
     * 查询测试a
     * 
     * @param aid 测试aID
     * @return 测试a
     */
    ServerResult<RelA> selectRelAById(Long aid);

    /**
     * 查询测试a列表
     * 
     * @param relA 测试a
     * @return 测试a集合
     */
    ServerResult<List<RelA>> selectRelAList(RelA relA);

    /**
     * 新增测试a
     * 
     * @param relA 测试a
     * @return 结果
     */
    ServerResult<Integer> insertRelA(RelA relA);

    /**
     * 修改测试a
     * 
     * @param relA 测试a
     * @return 结果
     */
    ServerResult<Integer> updateRelA(RelA relA);

    /**
     * 批量删除测试a
     * 
     * @param aids 需要删除的测试aID
     * @return 结果
     */
    ServerResult<Integer> deleteRelAByIds(Long[] aids);

    /**
     * 删除测试a信息
     * 
     * @param aid 测试aID
     * @return 结果
     */
    ServerResult<Integer> deleteRelAById(Long aid);
}
